Skip to content

Provisioning API (1.2.36)

Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com

Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The webhooks endpoint lets you create, update, and delete webhooks programmatically.

Operations

WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

Operations

WhatsApp

he WhatsApp endpoint enables programmatic login to your WhatsApp account and retrieval of its details.

Operations

WhatsApp Flows

The WhatsApp flows endpoint lets you retrieve and manage WhatsApp Flows associated with the project.

Operations

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

Operations

WhatsApp Solutions

The WhatsApp solutions endpoint offers a way for you to manage your WhatsApp solutions.

Operations

WhatsApp Templates

The WhatsApp template endpoint offers a way for you to manage your WhatsApp templates that can be used with the Conversation API. The WhatsApp templates are a requirement to send the initial outbound messages in the WhatsApp API.

Operations

Bundles

The bundles endpoint allows you to create and manage bundles of account resources.

Operations

KakaoTalk Categories

The KakaoTalk categories endpoint offers a way for you to manage all of the KakaoTalk template categories that you can use with the Conversation API.

Operations

KakaoTalk Senders

The KakaoTalk sender endpoint offers a way for you to manage your KakaoTalk senders that can be used with the Conversation API.

Operations

KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

Operations

Conversation

The Conversation endpoints allows you to retrieve information about channels used with Conversation API.

Operations

RCS Accounts

Operations

RCS Questionnaire

Operations

Get questionnaire questions for project and use caseGA

Request

Returns questionnaire questions for a use case.

The launch questionnaire is based on information required by different Suppliers and Operators. As such, especially the country specific, may be subject to change.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

useCasestring(RcsInputSenderUseCasesEnum)required

Use case.

Enum"MULTIUSE""OTP""PROMOTIONAL""TRANSACTIONAL"
Query
countriesArray of strings(RcsInputCountryCodesEnum)

Optional query for sender countries.

Items Enum"AT""BE""BR""CA""CZ""DK""FI""FR""DE""GR"
curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/questionnaire/{useCase}?countries=AT' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Questionnaire questions

Bodyapplication/json
generalobjectrequired

General launch questions

general.​questionsobjectread-onlyrequired

Launch questions

general.​questions.​optInDescriptionobjectread-onlyrequired

How you obtain opt-in to message users.

general.​questions.​optInDescription.​questionstringread-onlyrequired

Human readable question.

general.​questions.​optInDescription.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

general.​questions.​triggerDescriptionobjectread-onlyrequired

Actions that triggers messages to users.

general.​questions.​triggerDescription.​questionstringread-onlyrequired

Human readable question.

general.​questions.​triggerDescription.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

general.​questions.​interactionsDescriptionobjectread-onlyrequired

Interactions with users.

general.​questions.​interactionsDescription.​questionstringread-onlyrequired

Human readable question.

general.​questions.​interactionsDescription.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

general.​questions.​optOutDescriptionobjectread-onlyrequired

The message the sender sends when a user opts out.

general.​questions.​optOutDescription.​questionstringread-onlyrequired

Human readable question.

general.​questions.​optOutDescription.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

general.​questions.​videoUrisobjectread-onlyrequired

Publicly available URIs for videos of the sender, for review purposes only.

general.​questions.​videoUris.​questionstringread-onlyrequired

Human readable question.

general.​questions.​videoUris.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

general.​questions.​screenshotUrisobjectread-onlyrequired

Publicly available URIs for screenshots of the sender, for review purposes only.

general.​questions.​screenshotUris.​questionstringread-onlyrequired

Human readable question.

general.​questions.​screenshotUris.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

verificationobjectrequired

Verification questions.

verification.​questionsobjectread-onlyrequired

Verification questions.

verification.​questions.​nameobjectread-onlyrequired

Name of verification contact.

verification.​questions.​name.​questionstringread-onlyrequired

Human readable question.

verification.​questions.​name.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

verification.​questions.​emailobjectread-onlyrequired

Email of verification contact.

verification.​questions.​email.​questionstringread-onlyrequired

Human readable question.

verification.​questions.​email.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

verification.​questions.​titleobjectread-onlyrequired

Title of verification contact.

verification.​questions.​title.​questionstringread-onlyrequired

Human readable question.

verification.​questions.​title.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

verification.​questions.​websiteobjectread-onlyrequired

Website of verification contact.

verification.​questions.​website.​questionstringread-onlyrequired

Human readable question.

verification.​questions.​website.​suggestedAnswersArray of stringsread-onlyrequired

Suggested answers to the question.

gbobject

Launch questions specific for UK.

frobject

Launch questions specific for France.

esobject

Launch questions specific for Spain.

usobject

Launch questions specific for US.

Response
application/json
{ "general": { "questions": {} }, "verification": { "questions": {} } }

RCS Senders

Operations